<?xml version="1.0" encoding="WINDOWS-1251"?>
<problem 
    version="1.0"
    id ="roi.day2.theatre"
>
    <judging>
        <script type ="%ioi">
            <testset
                name ="preliminary"

                input-name = "theatre.in"
                output-name ="theatre.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit = "1s"
                memory-limit ="268435456"
            >
                <test points ="0" comment="Тест из примера"/>
                <test points ="0" comment="Тест из примера"/>
                <test points ="0" comment="Тест из примера"/>
            </testset>

            <testset
                name ="main"

                input-name  ="theatre.in"
                output-name ="theatre.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="1s"
                memory-limit ="268435456"
            >
        <test-group
            		comment = "Подзадача 1. (1 &lt;= N &lt;= 100, 1 &lt;= M &lt;= 100, Sum K &lt;= 100)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "30"
            	>
			<test points = "0"
                comment = "2 группы по 2 актера, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "2 группы по 3 актера, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "3 группы по 2 актера, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "3 группы по 3 актера, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "10 моноспектаклей" />
			<test points = "0"
                comment = "5 любовных сцен" />
			<test points = "0"
                comment = "Отличаем всех 10 актеров за логарифм сцен" />
			<test points = "0"
                comment = "Танцуют все! 10 актеров" />
			<test points = "0"
                comment = "Танцуют все! А потом отличаем всех за логарифм. 10 актеров" />

			<test points = "0"
                comment = "Отличаем 10 за 5 действий" />
			<test points = "0"
                comment = "Отличаем 70 за 62 действия" />
			<test points = "0"
                comment = "Отличаем 90 за 82 действия" />
			<test points = "0"
                comment = "Отличаем 80 за 68 действий" />
			<test points = "0"
                comment = "Отличаем 40 за 19 действий" />
			<test points = "0"
                comment = "Отличаем 20 за 11 действий" />
        </test-group>
        <test-group
            		comment = "Подзадача 2. (1 &lt;= N &lt;= 10000, 1 &lt;= M &lt;= 10000, Sum K &lt;= 10000)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "30"
            	>
			<test points = "0"
                comment = "12 групп по 12 актеров, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "12 групп по 5 актеров, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "1 группа из 100 актеров, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "100 актеров" />
			<test points = "0"
                comment = "1000 моноспектаклей" />
			<test points = "0"
                comment = "500 любовных сцен" />
			<test points = "0"
                comment = "10000 моноспектаклей" />
			<test points = "0"
                comment = "5000 любовных сцен" />
			<test points = "0"
                comment = "Отличаем всех 500 актеров за логарифм сцен" />
			<test points = "0"
                comment = "Отличаем всех 900 актеров за логарифм сцен" />
			<test points = "0"
                comment = "Отличаем всех 1500 актеров за логарифм сцен" />
			<test points = "0"
                comment = "Отличаем всех 1795 актеров за логарифм сцен" />
			<test points = "0"
                comment = "Танцуют все! 100 актеров в 100 сценах" />
			<test points = "0"
                comment = "Танцуют все! 10 актеров в 1000 сценах" />
			<test points = "0"
                comment = "Танцуют все! 1000 актеров в 10 сценах" />
			<test points = "0"
                comment = "Танцуют все! 2 актера в 5000 сценах" />
			<test points = "0"
                comment = "Танцуют все! 10000 актеров в 1 сцене" />
			<test points = "0"
                comment = "Танцуют все! А потом отличаем всех за логарифм. 50 актеров" />
			<test points = "0"
                comment = "Танцуют все! А потом отличаем всех за логарифм. 20 актеров" />
			<test points = "0"
                comment = "Танцуют все! А потом отличаем всех за логарифм. 100 актеров" />

			<test points = "0"
                comment = "Отличаем всех актеров N = 1000" />
			<test points = "0"
                comment = "Отличаем всех актеров N = 5200" />
			<test points = "0"
                comment = "Отличаем всех актеров N = 8520" />
			<test points = "0"
                comment = "Отличаем всех актеров N = 8820" />
			<test points = "0"
                comment = "Отличаем всех актеров N = 7720" />
			<test points = "0"
                comment = "Отличаем всех актеров N = 8921" />
        </test-group>

        <test-group
            comment = "Подзадача 3. (1 &lt;= N &lt;= 100000, 1 &lt;= M &lt;= 100000, Sum K &lt;= 100000)"
            score = "group"
            feedback = "outcome"
            group-bonus = "40"
        >
			<test points = "0"
                comment = "9999 групп по 1 актеру, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "4999 групп по 2 актера, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "2999 групп по 3 актера, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "1999 групп по 4 актера, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "599 групп по 7 актера, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "9999 групп по 1 актеру, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "4999 групп по 2 актера, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "2999 групп по 3 актера, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "1999 групп по 4 актера, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "599 групп по 7 актера, которые отличаются в одной сцене" />

			<test points = "0"
                comment = "2 группы по 20000 актеру, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "3 группы по 12900 актеров, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "4 группы по 10900 актеров, которые отличаются в одной сцене" />
			<test points = "0"
                comment = "2 группы по 10900 актеров, которые отличаются в одной сцене" />

			<test points = "0"
                comment = "100000 моноcпектаклей" />
			<test points = "0"
                comment = "50000 любовных сцен" />

			<test points = "0"
                comment = "Отличаем всех 14420 актеров за логарифм сцен" />
			<test points = "0"
                comment = "Отличаем всех 12424 актеров за логарифм сцен" />

			<test points = "0"
                comment = "Танцуют все! 10000 актеров в 10 сценах" />
			<test points = "0"
                comment = "Танцуют все! 10 актеров в 10000 сценах" />
			<test points = "0"
                comment = "Танцуют все! 100000 актеров в 1 сцене" />

			<test points = "0"
                comment = "Танцуют все! А потом отличаем всех за логарифм. 90 актеров" />
			<test points = "0"
                comment = "Танцуют все! А потом отличаем всех за логарифм. 1000 актеров" />
			<test points = "0"
                comment = "Танцуют все! А потом отличаем всех за логарифм. 8000 актеров" />
            <test points = "0"
                comment = "Танцуют все! А потом отличаем всех за логарифм. 9 актеров" />

			<test points = "0"
                comment = "Отличаем всех актеров. N = 10000" />
			<test points = "0"
                comment = "Отличаем всех актеров. N = 10000" />
			<test points = "0"
                comment = "Отличаем всех актеров. N = 60000" />
			<test points = "0"
                comment = "Отличаем всех актеров. N = 75000" />
			<test points = "0"
                comment = "Отличаем всех актеров. N = 78000" />
			<test points = "0"
                comment = "Отличаем всех актеров. N = 80000" />

        </test-group>

            </testset>

            <verifier type="%testlib">
                <binary executable-id ="x86.exe.win32" file ="check.exe" />
            </verifier>
        </script>
    </judging>
</problem>
